Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.loading
Class MLetParser

    java.lang.Object
      org.jboss.mx.loading.MLetParser

All Implemented Interfaces:
  MBeanFileParser

public class MLetParser
extends Object
implements MBeanFileParser

Parses an MLet text file confirming to spec format.

Version:
  $Revision: 1.10 $
Author:
  Juha Lindfors.
See Also:
  `javax.management.MLet`, `javax.management.MBeanFileParser`

Constructor Summary
`MLetParser()`

Method Summary
`Set` | `parseMBeanFile(String url)` Reads an MLet text file from a given URL.
`Set` | `parseMBeanFile(URL url)` Reads an MLet text file from a given URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MLetParser

    public MLetParser()

Method Detail

### parseMBeanFile

    public Set parseMBeanFile(String url)
                       throws ParseException,
                              MalformedURLException

  Reads an MLet text file from a given URL.

  Specified by:
    `parseMBeanFile` in interface `MBeanFileParser`
  Parameters:
    `url` - URL to MLet text file
  Returns:
    set containing `MBeanElement` objects representing the parsed MBean entries
  Throws:
    `ParseException` - if there was error in reading the MLet text file
    `MalformedURLException` - if the `url` argument cannot be used to construct a valid URL.
  See Also:
    `MBeanElement`

### parseMBeanFile

    public Set parseMBeanFile(URL url)
                       throws ParseException

  Reads an MLet text file from a given URL.

  Specified by:
    `parseMBeanFile` in interface `MBeanFileParser`
  Parameters:
    `url` - URL to MLet text file
  Returns:
    set containing `MBeanElement` objects representing the parsed MBean entries
  Throws:
    `ParseException` - if there was an error in reading the MLet text file
  See Also:
    `MBeanElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.